size = { 200, 400 }

defineProperty("eicas_3d_p", globalPropertyi("cl300/eicas_3d_p"))
defineProperty("closing", loadImage("closing.png", 16, 16))

components = {



	rectangle {
	position = { 190, 390, 10, 10 };
	color = { 0.0, 0.0, 0.0, 0.7 };
	visible = true,
    },


	   -- clickable area for closing the panel



    clickable {
       position = { 184, 384, 16, 16 },

       cursor = {
            x = 0,
            y = 0,
            width = 32,
            height = 16,
            shape = loadImage("clickclose.png")
        },

        onMouseClick = function()
        set(eicas_3d_p, 0 )
        return true
        end
    },
    textureLit {
        position = {size[1] - 16, size[2] - 16, 16, 16 },
        image = get(closing)

    },
		rectangle {
	position = { 0, 0, 200, 400 };
	color = { 0.0, 0.0, 0.0, 0.4 };
	visible = true,
    },
		eicas {
	position = {0, 0, 200, 400},

	},
}
